> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devinenterprise.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Obter detalhes do membro

> Obtenha informações detalhadas sobre um membro específico da Enterprise

Requer uma chave de API pessoal de administrador da Enterprise.

Retorna informações detalhadas sobre um membro específico da sua Enterprise, incluindo seu perfil, métricas de atividade e permissões de acesso.


## OpenAPI

````yaml pt-BR/v2-openapi.yaml GET /v2/enterprise/members/{user_id}
openapi: 3.1.0
info:
  description: API Devin v2 com chaves de API pessoais para administradores do Enterprise
  title: Devin API v2
  version: 2.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v2/enterprise/members/{user_id}:
    get:
      tags:
        - members
      summary: Endpoint de detalhes do membro do Enterprise
      description: Obter detalhes de um membro específico desta Enterprise
      operationId: enterprise_member_details_endpoint_v2_enterprise_members__user_id__get
      parameters:
        - in: path
          name: user_id
          required: true
          schema:
            title: User Id
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EnterpriseUserResponse'
          description: Resposta bem-sucedida
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Erro de validação
components:
  schemas:
    EnterpriseUserResponse:
      properties:
        created_at:
          format: date-time
          title: Created At
          type: string
        email:
          title: Email
          type: string
        enterprise_role:
          title: Enterprise Role
          type: string
        last_login:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Last Login
        login_count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Login Count
        name:
          title: Name
          type: string
        saml_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Saml Id
        searches_created_count:
          default: 0
          title: Searches Created Count
          type: integer
        sessions_created_count:
          default: 0
          title: Sessions Created Count
          type: integer
        user_id:
          title: User Id
          type: string
      required:
        - user_id
        - email
        - name
        - enterprise_role
        - created_at
      title: EnterpriseUserResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    bearerAuth:
      description: >-
        Chave de API pessoal (apk_user_*) somente para administradores do
        Enterprise
      scheme: bearer
      type: http

````